From the "Twitch" to Command Decisions: 
Research and Design in Red Baron II

In February, 1994, Dynamix began work on Red Baron II.  When the team members set out on this massive and ground-breaking project, they had two goals in mind. First, they wanted to create a flight sim that used all the latest, cutting-edge technologies. Second, they wanted to stretch the traditional focus of their flight sims in a new direction. Previously, the Aces series (Aces of the Pacific, Aces Over Europe) had focused on the aircraft. That was the appeal, and flying the different planes provided the majority of the entertainment. With Red Baron II, Dynamix wanted to expand on that and give the player the chance to find out what it was really like to be a World War I fighter pilot and officer.

To convey that experience, John Bruning, one of Dynamix's principal historians for the Red Baron projects, hit the books and set out to discover the things that composed a fighter pilot's life during the Great War. What he found proved fascinating. Combat pilots on the Western Front not only had a very short life expectancy - under 10 missions usually - but the ones that survived physically, generally had a fixed period of time when they were of any use at the front. Once they had flown for about six months or so, if the aviators didn't get some sort of extended leave, their effectiveness began draining away as their nerves and emotional stability were eroded by the constant stress and terror of battle. Some of the men actually snapped, something the Allied pilots called "The Twitch."  Officially, the British called it "Flying Sickness Category D." All sorts of symptoms marked a pilot who had reached his emotional and physical limits at the front. Some became fatalistic and reckless. Others turned coward. Some could barely fly their aircraft because their hands shook so violently.  Any way it manifested itself, The Twitch meant that the pilot was either doomed if he continued to fight, or needed to be replaced at once.

Replacing a burnout case was a touchy proposition at best for the fighter squadron leaders on both sides of the front.  The new pilot would be an unknown quantity, and his training experience would be of only limited to use to him at the front. Many times, a replacement pilot would come into a front line squadron and prove himself nearly useless in the air. Toward the end of the war, when the demand for bodies grew increasingly more acute in France,  the trainees were sent into combat without much fighter experience at all. In fact, British replacement pilots sometimes arrived in their assigned squadrons without ever having once fired a machine gun.  Needless to say, these young pups were nothing but cannon fodder for the older, more experienced pilots.

If a replacement were to prove of any value, he needed to survive his first five to ten missions. If he could get through this dangerous time, he would learn enough about dogfighting and survival in the skies to become a useful member of the squadron. Once he entered that phase, he was good for about five or six months, depending on how frequently he flew. Sooner or later, though, the aviator would reach his burnout point and he'd have to be replaced, starting the cycle all over again.

The replacements came in all forms and temperaments.   Some were naturally aggressive, but didn't have the skill to match their disposition. They died quickly, as did the ham-fisted pilots and the tentative ones. Of course, there were always a small number of men who could not hack the rigors of front-line duty. Called "cowards" or "yellow,"  these men were universally detested by the other combat pilots. Once, when a coward was identified in No. 74 Squadron, RFC, the commanding officer publicly sewed a yellow swatch of fabric to the poor pilot's uniform, then sent him back to England while wearing it.  

The vast majority of the replacements, though, were steady and competent. They did their jobs, would stay in fights, and if the opportunity presented itself, they just might bag an enemy plane from time to time. Mixed in with these men were the real killers. A very small percentage, probably under ten percent, had both the temperament and the physical skills needed to excel in air combat.  If circumstances were right, they became aces and earned the acclaim of their service and their homeland.  

After learning all this, the Red Baron II team sat down and went to work on just how to model the replacement cycle in their sim.  They came up with the pilot dossiers, the ratings for each pilot, and included a fatigue factor for every aviator in a squadron. They also included a promotion ladder with real responsibility. You want rank and all its privileges? Great, but now in Red Baron II, you get the responsibilities that come with title. From humble wingman, you will be able to rise through the ranks and take command of a squadron.  When you do that, you will be making the decisions on who flies with you, who should go on leave, and who needs to be replaced. You will have to watch your new replacements, learn their strengths and weaknesses and protect them from their own inexperience.  If you do your job well, the squadron will be successful. Morale will stay high, your men will follow you through any trial, and the victory lists will grow. But, make the wrong choices and morale will plummet. In the air, your orders may be questioned, and rumblings of discontent will be heard throughout the 'O' Club. Do a bad enough job and your men just might frag you out of sheer self-interest. Nobody wants a commanding officer who will get them killed with his stupid errors. In Red Baron II, it is in your hands, just as it was for the thousands of Great War officers who rose to command fighter squadrons on the Western Front.

To add yet another dimension of realism to Red Baron II, Bruning and Gary Stottlemyer (the lead designer for Red Baron II), went all-out in their research of the units that saw action in France from 1915-1918. They tracked not only where they were, but also who flew with them, who was in charge (if it was somebody famous) and what their unit markings consisted of. World War I was easily the most colorful of the air wars and the team developed an entirely new technology just to model that critical aspect.   So, in Red Baron II, you'll come to know the historic squadrons in your sector of the front. Through time, you'll get to know which enemy squadrons are kill-flags-in-waiting and which are deadly just by spotting the paint schemes of your opponents. You'll see the aces and their aircraft as well, and you'll be able to challenge them to duels as a way to enhance your own reputation on both sides of the line.

To ensure authenticity, Stottlemyer and Bruning spent months researching the color patterns, insignia and markings of hundreds of squadrons ranging from Jasta 74 to Escadrille 100. No other sim has ever attempted such authenticity, but Red Baron II's team of artists overcame serious technical hurdles to turn the research into reality within the game. Not only are their colors correct, they made sure that their locations were also correct. Drawing on thousands of pages of documents, articles, books and the assistance of the League of World War I Aero Historians, they plotted and coded the entire history of all the squadrons in Red Baron II. According to Bruning: "We know where they were on any given date, we know when they were withdrawn from the front, and we know what aircraft they were flying.  We included all of these details in RBII so that the aces and the elite units would be in the proper places at the proper times."

To build the virtual Western Front in the sim, Stottlemyer and Bruning needed to know where all the airfields were located in Northern France from 1915-1918.  Fortunately, in the National Archives' Gorrell Collection (Colonel Edgar Gorrell; for more information on Gorrell, see below "The Look of the Land"), there are maps of each sector of the Western Front showing where all the aerodromes were. Without these invaluable research finds, Red Baron II would be nowhere near as historically authentic. 

And, since the air war did not happen in a vacuum, the design and research team focused quite a bit of energy on the ground war and how it could be incorporated into Red Baron II. As a result, the front changes depending on the date and the activity level in each sector. In Red Baron II you will experience the hectic days surrounding the outbreak of a full-scale offensive - flying ground support and fighter sweep missions four or five times a day. Or, it may be the dead of winter, a time in which both sides were content to huddle up in their trenches and wait for the warm spring weather to launch any action.  Stottlemyer and Bruning even included the smaller, local offensives that focus on limited objectives. During the war these were called "Line Straightening" operations.

Throughout the project, the historians and designers sought out "primary research" (material from the time period itself or written after the fact by participants)  to ensure Red Baron II would be as authentic and true to the time period as possible.  They used intelligence briefs, after action reports, daily summaries of activity, memoirs, diaries, letters and never-before-published photographs to enhance the realism and the flavor of the sim. They wanted to share the war through the participants' eyes, using pictures and first-hand accounts by airmen to immerse players in the wartime reality. No other company ever spent so much energy into capturing the essence of the era while staying true to the history.

One of the best sources for original material was Over the Front, a WWI aviation journal, published quarterly by the League of World War I Aviation Historians. "It's the most authoritative aviation journal in existence," according to Bruning. "This source has yielded a wealth of information, including diaries and memoirs of pilots published for the first time, as well as maps, such as the crucial airfield maps compiled by Colonel Edgar Gorrell."

Published autobiographies were also excellent sources for information on the individual aces, providing guidelines for the game's flight models, as well as excellent background for the manual. Ace of the Iron Cross, by Ernst Udet, the top-ranking surviving German ace of WWI, is just one of the autobiographies used.

Thousands of dispatches written by the British Royal Flying Corps from 1917 to 1918 were given to Dynamix by the League of WWI Aviation Historians. These dispatches, which contain summaries of each day's operations, provided tremendous insight into air operations during the war. They were used to track down the locations of units involved in air skirmishes, as well as models for the intelligence briefs that appear in the game.

The National Archives and Records Administration, a federal repository in Washington, D.C., provided a plethora of photographs and film clips for the game. Two information gathering trips were made to the archives during the course of game research.

The Airman's Memorial Museum, an organization devoted to remembering the enlisted men from the air service, air corps and air force, proved to be another fantastic source for primary material.  While the National Archives held many photos that had been previously published (with some exceptions), the Airman's Memorial museum contained some truly unique finds, such as a large collection of donated personal photo albums. These albums contained candid, never-before-published pictures of important American pilots such as Eddie Rickenbacker and Frank Luke.

The Airman's Museum also provided some European items, such as captured photographs of Germans servicemen taken by other Germans, revealing the day-to-day life of the soldier.

All this primary information adds up to an authentic look for the game as it's being played. In addition, the game will come with an expanded manual that covers more war information than the original.

Realism. Historical ambiance. 
Near-photographic quality. An actual sense of flying. That's what the game designers were striving for when they set out to create the geography one sees from the cockpit in Red Baron II. But how does one go about creating historically authentic terrain, landscape features, and man-made constructs? For the team of artists who shaped this bird's eye view, it all came down to five main sources, some common enough to be available anywhere, and some very rare and exceptional finds.

The first piece to this jigsaw was Hammond's large-scale map of the Western Front, copyrighted in 1919. This historical map, borrowed from the University of Oregon library, shows the basic geography of the front just after the war - the locations of mountains, rivers, plains, and forests, as well as cities, highways, bridges, and railroads. 

The second piece to the geography puzzle was a series of aerial reconnaissance maps showing the locations of every airfield in use during the war, from the North Sea to Alsace-Lorraine. The maps are part of the Gorrell Collection, named after the WWI American military officer who compiled the original war documents in the 1920s and 1930s. The original collection is housed in the Smithsonian Institution, but the maps were published in 1991 in Over the Front, a WWI aviation journal.

Hammond and Gorrell only showed locations, however, not elevations. For this information the artists turned to a large-scale, color-coded physical map of France, the third piece of the puzzle. This was a modern map, not a historical one, because it was thought that the elevations of major geographical features such as mountains and rivers would not have changed much over the years.

The fourth piece to the puzzle, and one that really brings a realistic look to the program, is John Laffin's 1993 British publication, Panorama of the Western Front, which compiles the work of French illustrator Georges Malfroy. In 1916, Malfroy believed his countrymen would find detailed drawings of the Western Front's landscape and battlefields of interest, and set out to create a series of views, from Nieuport to Belfort, using army topographical survey maps, aerial photographs, and sketches from his own extensive travels throughout the region during the war. The result is a full 180-degree sweep of the front from various vantage points. Because of this illustrator's historical renderings, the artists gained great insight into the actual terrain features, helping them decide whether to create smooth hillsides or eroded crags, forests or fields.

Sculpting hillsides and hollows with only these data tools would seem a monumental undertaking, but the artists on the team were up to the task. They used a TED, or terrain editor, system to create four regions measuring 96 miles square. These TED regions overlap to some extent, yielding seamless terrain. Highways and railroads stretch along the countryside, crossing bridges when they come to rivers and bisecting cities and hamlets along the way. Supply depots, factories and rail yards dot the terrain. 

The result is almost photographic. In contrast with the earlier Red Baron, where the landscape looked somewhat flat. In Red Baron II "you see hills and mountains, and the mountains haze out in the distance. There's nice rolling terrain. The rivers are where they're supposed to be, and they have a gentle slope down. It looks very natural, and has a very pleasing effect," says Scott Rudi, one of the team artists.

The finishing touch to the landscape was incorporating the up-close views of 
man-made constructions: houses, factories, supply depots, hangars, and railyards. 
All the major cities have been plotted, especially those near significant wartime events, but the creators wanted more - they wanted the buildings to look authentic, so that when a player flies low over a village he'll see little houses pass by.

To recreate these details with historical authenticity, the artists turned to the fifth piece in the puzzle: historical photographs and text sources, many of which contained precise measurements. The sources on WWI airplanes hangars, for instance, came with very specific dimensions. Working from the dimensions and referring to the old photos, the artists used 3D Studio to create the shapes and then Adobe Photoshop to add texture and colors and to refine the details, such as placement of windows. The work was painstaking and time consuming - it took about a week to create a single factory, which was then used as a model for all the others.

But the work was well spent in that the landscape appears just as if you were in an airplane flying around. It's a rewarding and thrilling experience to see everything where it should be. So dip your wings and fly low. 
Go sightseeing. Fly along rivers and under bridges. It's worth it to have a look around.

The team designers worked hard to get "that wind in the face, scarf in the breeze feeling." When you boot up Red Baron II, you soar back in time to the First World War, when trench warfare alternately bored and terrorized the ground troops and the Knights of the Sky flew above, engaged in their own life and death struggles. The recreated dossiers, the candid photographs, the historic videos, the on-screen reports - all of this and more contributes to a realistic game with an authentic ambiance, as historically genuine as is possible to make, while maintaining the entertainment value.

Strap on your aviation headgear and hop in the cockpit; it's time to fly. Well, not just yet. To establish a realistic setting from the outset, the creators of Red Baron II followed the sequence of the war very closely, including when the air war commenced. Although airplanes were in production in Europe in 1914, organized squadrons of pursuit aircraft were not in use until later in the war. Not only that, but the different services entered the air war at different times. Consequently, the actual start of the air war for each country determines when a player enters the game. If you play a German airman, for example, you would begin in October 1915, and as a member of British and French air service you would enter the scene a few months later.

While the service chosen determines when the player starts and his main loyalties for the game, the assigned squadron makes up a large part of the player's identity and location. Red Baron II puts the player into units based on actual WWI squadrons.

Using actual squadrons made it that much more important to carefully track the war's events, simply because the air squadrons moved to where the fighting was. The mobility of the air units was a vital part of aerial operations during the war, particularly for the Germans. The "Flying Circus" - so called because of the unit's readiness to pick up and move quickly by train, a common mode of travel by circuses of the day -exemplifies German strategy during the war. A unit like Von Richthofen's would be rushed from one section of the front to another, depending on where it was needed most.
These historical details - the squadrons and the events that mobilized them - drive a good portion of the game action. Because the actual squadrons moved along the front during the war, the game attempts to simulate those same movements  for the campaign player, from place to place with the rest of his squadron, at the actual times such moves occurred during the war. You might find yourself with the French Storks flying from a base north of Verdun one week, and in Ypres the next, or taking a trip with the famous "Flying Circus."

The locations and movements of the opponents were kept track of, too. Consequently, if a player has his sights set on fighting a particular ace (and doesn't mind dying), he may request a transfer to the section of the front where that ace is stationed. (The locations of the various aces will be provided during the game.)

Even though every effort was made to create a historical ambiance, at times the pace of the game is accelerated to make it more fun. For example, if you're flying in a squadron on the far southern part of the front, in real life you could go weeks without seeing action because it was a quiet section. But in the game if you're assigned there, you can be assured that something will be happening.

Historical precision was also a consideration when creating the plane models in the game. The specifications of about 40 historical planes (22 of which will be available to fly) were built using a 3-D modeling program. Designers relied on books and other resources on WWI aircraft to ensure authentic graphic design of the models. 

Stripes, skulls, butterflies, and bulls' eyes flew the skies over Europe during the war, embellishing the planes of airmen. The practice of individually marking planes started with Baron von Richthofen, who painted his a bright red because he wanted his men to be able to spot him in the air and take tactical direction. After that, things got a little wild; some Germans planes even sported polka dots. Much of the marking depended on the service in which one was a member. German pilots in particular individualized their planes, while the British did not.

When you meet the various squadrons and aces in flight, their historical markings, if any, will be evident. As Bruning explains, "When you're flying over the Arras Front in early 1918 and you run across a squadron of Fokker D.VIIs that are painted blue with yellow noses and yellow tails and one of them has white stags painted stylishly on the fuselage, you know that's Jasta 10, and they were a crack outfit." The intention was to allow players to recognize opponents by their markings, and thereby know whether they're safe to attack.

A new feature in Red Baron II allows you to paint your own aircraft, and here's one area where historical accuracy bows to game preferences. If you were to play as a British airman, and the game was completely authentic, you wouldn't be able to paint your plane - the British didn't allow that. But as a player, of course, you'll want to experiment with the paint feature, and it is available for all services. The painting options increase as you gain experience and rank. 

Hoping to make captain some day, or have your heart set on the Victoria Cross? The Legion of Honor? The Blue Max? Promotions and military awards of the airmen differed from service to service. With the Germans, for example, it didn't matter how gallant you were, or how many kills you had, or what a great leader you were - you would not get a promotion until you had spent a certain amount of time in the service. They might make you a squadron leader, but they wouldn't raise you to captain. Manfred von Richthofen is a notable exception to this rule, a special case resulting from the Kaiser's wishes.

A new algorithm built for Red Baron II has incorporated this practice into game play to recreate the wartime protocols of the different services. If you're flying as a German, you will spend a long time as a second and first lieutenant. Playing an American airman, however, you could expect to go up in the ranks more quickly, as this service was more generous with its promotions. 

Awards for the various services are treated similarly. The Germans and the French, for instance, were enthralled with the idea of aces, and decorations depended on kills. The British, on the other hand, didn't formally keep track of how many victories their people had early on. However, British awards did come more into play later in the war, after the ace, Albert Ball, became famous.

Deciding to vary the promotion and award systems for each service comes down to the desire to create a certain milieu for each service. The intent was for a player who adopts a French 
identity in a campaign to feel French, to have something about the French way of doing things be a part of his way of doing things.

Promotions and decorations are accelerated in certain areas, such as with Americans, who were not in the war for long.

To enable players to orient themselves chronologically and help move the game along, the important events of the land and air wars are presented throughout the campaign game as follows:
Battle reports in written and video form will appear periodically and focus on major wartime events. These are factual, historically authentic accounts and are not told from any particular country's point of view. 

Typewritten reports from the player's particular service will also appear intermittently. These are more chatty, and provide information from the military perspective. To achieve a realistic, intimate feel, the reports appear on typewriters on-screen, with a bar going through the last line of text. "We want it to be like a real typewriter, as if you're walking into the office and reading it on the clerk's desk," says Denis Kilgore, another Dynamix historian who worked extensively on the Red Baron II project.

Newspaper reports also appear which are written from the perspectives of the various countries. Players will see only the newspaper account by the country for which they are flying. These media reports will certainly be biased and may not tell the whole truth, just the truth as the media wished to present it to the country.

To create these newspaper reports, four stories had to be written for the same event, each with a different slant. For instance, in discussing the British surrender in Mesopotamia in 1915, the British newspaper talks about the gallant men who were down to their last supplies, the French, about the waste of resources in Mesopotamia, and the Germans, about their own worthy allies. This attention to detail adds another dash of realism to the game, and makes it entertaining to choose careers in each of the various services.

The game is fun, and a large part of the enjoyment comes from Sierra's attempt to create a historical flight sim that has at its roots the sights, sounds, and motion of the era. For players who just want to fly, the flight model ensures realistic flight maneuvers. But it is the look and feel of a bygone era that adds the emotion to Red Baron II.

One of the highlights of the research, as well as one of the most difficult aspects, was finding and correctly identifying photographs to accompany the text for the manual and to illustrate the online game.

The National Archives, in Washington, D.C., was the main source for photographs and contained a wealth of information. However, one needs a certain detective ability to find photographs at this repository because the pictures are not organized by topic or date, they're organized by source (i.e. who gave the pictures to the federal facility). This would make it virtually impossible to find anything, except for one fact: through the years, researchers have written down the contents of the files as guidelines for future researchers. Even with these aids, finding photos on specific topics is not an easy task.

Sometimes it simply came down to going through boxes of pictures and picking out the ones that looked interesting or useful. The Red Baron II Art Director, Jarrett Jester, and the team historian selected hundreds of pictures from the NARA files, which they then photographed and took back to the office for future use. 

Some photos that did not look interesting at the time often proved to be very advantageous for the game. During and shortly after the war, the U.S. Signal Corps sent numerous people out to document various installations using photographs, even places that had rarely been used, and a huge amount of this unexciting photodocumentation was sent back to the National Archives. But when the game makers were developing screens for places a player might wind up during the course of the war, such as briefing rooms and hospitals, it was very helpful to have those simple, unremarkable photos. Most of these pictures have never before been published because they don't show anything spectacular, but it is just this stark simplicity that provides the game with a very authentic feel.

The main difficulty in working with photos from the National Archives was the frequent lack of descriptive information: there might be no mention of the place the photo was taken, the photographer's name, or the year it was shot. But it was important to the team to make sure that the game photos depicted the same place and time frame as the accompanying text. One wouldn't, for example, want a photo shot in 1918 to illustrate something that occurred much earlier. "Anytime something anachronistic or unrealistic shows up, it takes away from the experience of the player," Kilgore asserts.

To puzzle out the locations and time frames for the photos to create captions, Kilgore relied on his many years as a military historian. "I've studied history for many many years, decades, so I do know, within certain limits, what to look for. A French plane, a French uniform, a particular geography, a town. If there's anything I can recognize that I can put into context, I can write a caption for it."

Several time markers were used to narrow the photos' time frames. The first and most obvious is the airplanes themselves. Because air technology developed so rapidly, changes in aircraft occurred relatively frequently, and Kilgore is an ace at recognizing the various models and the years they were produced.

As the aircraft changed, so did the airmen's equipment. When the war started, very few planes could fly above 10,000 feet, so special warm, protective gear or oxygen tubes were not required. But by the end of the war some of the reconnaissance planes were flying at 27,000 feet, where it's really cold, and oxygen was needed. When that equipment appears in a photograph, it's an immediate tip-off as to time frame. 

Uniforms, especially helmets, were another very important clue to the time of the photo. The German spike helmets are a prime example. The Germans started the war with the pickelhaube" - the helmet with the spike on top, which was a holdover from earlier wars, when the spike could deflect sword slashes. In the middle of 1916 the Germans began using the familiar coal-scuttle helmet, which provided more neck protection. The headgear changed for all of the forces during the war and consequently were useful time markers for many photos.

The rest of the uniforms also changed for the various services throughout the war and were therefore very important clues, but the muddiness of the ground war frequently made the uniforms in the black and white photos unidentifiable.

Although a large amount of military gear helped establish a time frame for photos, some equipment lasted through the war, and did not help establish a date. Rifles, for example, remained much the same throughout the war. On the other hand, sometimes even a rifle could help narrow down the picture's time frame. The Browning automatic rifle - an American gun - would date the photo to sometime during or after 1917.

Trench construction also provided clues, not to time frame, but to location. "In an area of the front that hadn't been fought over a lot -a quiet section - the trenches are elaborate and nice, they're well-drained and have little duck boards in the bottom you can walk on to stay dry," Kilgore explains. "When you get into Ypres, it's really flat and muddy anyway, and it gets fought over daily for four years -well it's really mucky. So I can take a look at a picture and say, 'this has to be Verdun or the Somme or someplace exciting, because it's so blasted.'"

One of the most interesting and useful sources for video clips was a piece of German film produced just after the Great War that discussed the course of the conflict and how the fighting occurred. This film, discovered in the National Archives, is extremely important because film of World War I is very rare, and combat footage is even more scarce. Film cameras at the time were very bulky and inconvenient to take into action. Some of the very few World War I films that were made appear in Red Baron II.

The film is used in the game shell in a variety of ways. Pieces of the video appear when important events happen, such as when a player is shot down or captured. Some of the film clips also appear behind the intelligence reports.
